Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network185.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
185.0.0.0
Broadcast address
185.255.255.255
First usable
185.0.0.1
Last usable
185.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex B9000000 · Integer 3103784960 to 3120562175
Reverse DNS zone
185.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111001..00000000.00000000.00000000185.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10111001..00000000.00000000.00000000185.0.0.0
Broadcast10111001..11111111.11111111.11111111185.255.255.255
Split into smaller subnets/16

185.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1185.0.0.0/16185.0.0.1 to 185.0.255.254185.0.255.25565,534
2185.1.0.0/16185.1.0.1 to 185.1.255.254185.1.255.25565,534
3185.2.0.0/16185.2.0.1 to 185.2.255.254185.2.255.25565,534
4185.3.0.0/16185.3.0.1 to 185.3.255.254185.3.255.25565,534
5185.4.0.0/16185.4.0.1 to 185.4.255.254185.4.255.25565,534
6185.5.0.0/16185.5.0.1 to 185.5.255.254185.5.255.25565,534
7185.6.0.0/16185.6.0.1 to 185.6.255.254185.6.255.25565,534
8185.7.0.0/16185.7.0.1 to 185.7.255.254185.7.255.25565,534
9185.8.0.0/16185.8.0.1 to 185.8.255.254185.8.255.25565,534
10185.9.0.0/16185.9.0.1 to 185.9.255.254185.9.255.25565,534
11185.10.0.0/16185.10.0.1 to 185.10.255.254185.10.255.25565,534
12185.11.0.0/16185.11.0.1 to 185.11.255.254185.11.255.25565,534
13185.12.0.0/16185.12.0.1 to 185.12.255.254185.12.255.25565,534
14185.13.0.0/16185.13.0.1 to 185.13.255.254185.13.255.25565,534
15185.14.0.0/16185.14.0.1 to 185.14.255.254185.14.255.25565,534
16185.15.0.0/16185.15.0.1 to 185.15.255.254185.15.255.25565,534
17185.16.0.0/16185.16.0.1 to 185.16.255.254185.16.255.25565,534
18185.17.0.0/16185.17.0.1 to 185.17.255.254185.17.255.25565,534
19185.18.0.0/16185.18.0.1 to 185.18.255.254185.18.255.25565,534
20185.19.0.0/16185.19.0.1 to 185.19.255.254185.19.255.25565,534
21185.20.0.0/16185.20.0.1 to 185.20.255.254185.20.255.25565,534
22185.21.0.0/16185.21.0.1 to 185.21.255.254185.21.255.25565,534
23185.22.0.0/16185.22.0.1 to 185.22.255.254185.22.255.25565,534
24185.23.0.0/16185.23.0.1 to 185.23.255.254185.23.255.25565,534
25185.24.0.0/16185.24.0.1 to 185.24.255.254185.24.255.25565,534
26185.25.0.0/16185.25.0.1 to 185.25.255.254185.25.255.25565,534
27185.26.0.0/16185.26.0.1 to 185.26.255.254185.26.255.25565,534
28185.27.0.0/16185.27.0.1 to 185.27.255.254185.27.255.25565,534
29185.28.0.0/16185.28.0.1 to 185.28.255.254185.28.255.25565,534
30185.29.0.0/16185.29.0.1 to 185.29.255.254185.29.255.25565,534
31185.30.0.0/16185.30.0.1 to 185.30.255.254185.30.255.25565,534
32185.31.0.0/16185.31.0.1 to 185.31.255.254185.31.255.25565,534
33185.32.0.0/16185.32.0.1 to 185.32.255.254185.32.255.25565,534
34185.33.0.0/16185.33.0.1 to 185.33.255.254185.33.255.25565,534
35185.34.0.0/16185.34.0.1 to 185.34.255.254185.34.255.25565,534
36185.35.0.0/16185.35.0.1 to 185.35.255.254185.35.255.25565,534
37185.36.0.0/16185.36.0.1 to 185.36.255.254185.36.255.25565,534
38185.37.0.0/16185.37.0.1 to 185.37.255.254185.37.255.25565,534
39185.38.0.0/16185.38.0.1 to 185.38.255.254185.38.255.25565,534
40185.39.0.0/16185.39.0.1 to 185.39.255.254185.39.255.25565,534
41185.40.0.0/16185.40.0.1 to 185.40.255.254185.40.255.25565,534
42185.41.0.0/16185.41.0.1 to 185.41.255.254185.41.255.25565,534
43185.42.0.0/16185.42.0.1 to 185.42.255.254185.42.255.25565,534
44185.43.0.0/16185.43.0.1 to 185.43.255.254185.43.255.25565,534
45185.44.0.0/16185.44.0.1 to 185.44.255.254185.44.255.25565,534
46185.45.0.0/16185.45.0.1 to 185.45.255.254185.45.255.25565,534
47185.46.0.0/16185.46.0.1 to 185.46.255.254185.46.255.25565,534
48185.47.0.0/16185.47.0.1 to 185.47.255.254185.47.255.25565,534
49185.48.0.0/16185.48.0.1 to 185.48.255.254185.48.255.25565,534
50185.49.0.0/16185.49.0.1 to 185.49.255.254185.49.255.25565,534
51185.50.0.0/16185.50.0.1 to 185.50.255.254185.50.255.25565,534
52185.51.0.0/16185.51.0.1 to 185.51.255.254185.51.255.25565,534
53185.52.0.0/16185.52.0.1 to 185.52.255.254185.52.255.25565,534
54185.53.0.0/16185.53.0.1 to 185.53.255.254185.53.255.25565,534
55185.54.0.0/16185.54.0.1 to 185.54.255.254185.54.255.25565,534
56185.55.0.0/16185.55.0.1 to 185.55.255.254185.55.255.25565,534
57185.56.0.0/16185.56.0.1 to 185.56.255.254185.56.255.25565,534
58185.57.0.0/16185.57.0.1 to 185.57.255.254185.57.255.25565,534
59185.58.0.0/16185.58.0.1 to 185.58.255.254185.58.255.25565,534
60185.59.0.0/16185.59.0.1 to 185.59.255.254185.59.255.25565,534
61185.60.0.0/16185.60.0.1 to 185.60.255.254185.60.255.25565,534
62185.61.0.0/16185.61.0.1 to 185.61.255.254185.61.255.25565,534
63185.62.0.0/16185.62.0.1 to 185.62.255.254185.62.255.25565,534
64185.63.0.0/16185.63.0.1 to 185.63.255.254185.63.255.25565,534
65185.64.0.0/16185.64.0.1 to 185.64.255.254185.64.255.25565,534
66185.65.0.0/16185.65.0.1 to 185.65.255.254185.65.255.25565,534
67185.66.0.0/16185.66.0.1 to 185.66.255.254185.66.255.25565,534
68185.67.0.0/16185.67.0.1 to 185.67.255.254185.67.255.25565,534
69185.68.0.0/16185.68.0.1 to 185.68.255.254185.68.255.25565,534
70185.69.0.0/16185.69.0.1 to 185.69.255.254185.69.255.25565,534
71185.70.0.0/16185.70.0.1 to 185.70.255.254185.70.255.25565,534
72185.71.0.0/16185.71.0.1 to 185.71.255.254185.71.255.25565,534
73185.72.0.0/16185.72.0.1 to 185.72.255.254185.72.255.25565,534
74185.73.0.0/16185.73.0.1 to 185.73.255.254185.73.255.25565,534
75185.74.0.0/16185.74.0.1 to 185.74.255.254185.74.255.25565,534
76185.75.0.0/16185.75.0.1 to 185.75.255.254185.75.255.25565,534
77185.76.0.0/16185.76.0.1 to 185.76.255.254185.76.255.25565,534
78185.77.0.0/16185.77.0.1 to 185.77.255.254185.77.255.25565,534
79185.78.0.0/16185.78.0.1 to 185.78.255.254185.78.255.25565,534
80185.79.0.0/16185.79.0.1 to 185.79.255.254185.79.255.25565,534
81185.80.0.0/16185.80.0.1 to 185.80.255.254185.80.255.25565,534
82185.81.0.0/16185.81.0.1 to 185.81.255.254185.81.255.25565,534
83185.82.0.0/16185.82.0.1 to 185.82.255.254185.82.255.25565,534
84185.83.0.0/16185.83.0.1 to 185.83.255.254185.83.255.25565,534
85185.84.0.0/16185.84.0.1 to 185.84.255.254185.84.255.25565,534
86185.85.0.0/16185.85.0.1 to 185.85.255.254185.85.255.25565,534
87185.86.0.0/16185.86.0.1 to 185.86.255.254185.86.255.25565,534
88185.87.0.0/16185.87.0.1 to 185.87.255.254185.87.255.25565,534
89185.88.0.0/16185.88.0.1 to 185.88.255.254185.88.255.25565,534
90185.89.0.0/16185.89.0.1 to 185.89.255.254185.89.255.25565,534
91185.90.0.0/16185.90.0.1 to 185.90.255.254185.90.255.25565,534
92185.91.0.0/16185.91.0.1 to 185.91.255.254185.91.255.25565,534
93185.92.0.0/16185.92.0.1 to 185.92.255.254185.92.255.25565,534
94185.93.0.0/16185.93.0.1 to 185.93.255.254185.93.255.25565,534
95185.94.0.0/16185.94.0.1 to 185.94.255.254185.94.255.25565,534
96185.95.0.0/16185.95.0.1 to 185.95.255.254185.95.255.25565,534
97185.96.0.0/16185.96.0.1 to 185.96.255.254185.96.255.25565,534
98185.97.0.0/16185.97.0.1 to 185.97.255.254185.97.255.25565,534
99185.98.0.0/16185.98.0.1 to 185.98.255.254185.98.255.25565,534
100185.99.0.0/16185.99.0.1 to 185.99.255.254185.99.255.25565,534
101185.100.0.0/16185.100.0.1 to 185.100.255.254185.100.255.25565,534
102185.101.0.0/16185.101.0.1 to 185.101.255.254185.101.255.25565,534
103185.102.0.0/16185.102.0.1 to 185.102.255.254185.102.255.25565,534
104185.103.0.0/16185.103.0.1 to 185.103.255.254185.103.255.25565,534
105185.104.0.0/16185.104.0.1 to 185.104.255.254185.104.255.25565,534
106185.105.0.0/16185.105.0.1 to 185.105.255.254185.105.255.25565,534
107185.106.0.0/16185.106.0.1 to 185.106.255.254185.106.255.25565,534
108185.107.0.0/16185.107.0.1 to 185.107.255.254185.107.255.25565,534
109185.108.0.0/16185.108.0.1 to 185.108.255.254185.108.255.25565,534
110185.109.0.0/16185.109.0.1 to 185.109.255.254185.109.255.25565,534
111185.110.0.0/16185.110.0.1 to 185.110.255.254185.110.255.25565,534
112185.111.0.0/16185.111.0.1 to 185.111.255.254185.111.255.25565,534
113185.112.0.0/16185.112.0.1 to 185.112.255.254185.112.255.25565,534
114185.113.0.0/16185.113.0.1 to 185.113.255.254185.113.255.25565,534
115185.114.0.0/16185.114.0.1 to 185.114.255.254185.114.255.25565,534
116185.115.0.0/16185.115.0.1 to 185.115.255.254185.115.255.25565,534
117185.116.0.0/16185.116.0.1 to 185.116.255.254185.116.255.25565,534
118185.117.0.0/16185.117.0.1 to 185.117.255.254185.117.255.25565,534
119185.118.0.0/16185.118.0.1 to 185.118.255.254185.118.255.25565,534
120185.119.0.0/16185.119.0.1 to 185.119.255.254185.119.255.25565,534
121185.120.0.0/16185.120.0.1 to 185.120.255.254185.120.255.25565,534
122185.121.0.0/16185.121.0.1 to 185.121.255.254185.121.255.25565,534
123185.122.0.0/16185.122.0.1 to 185.122.255.254185.122.255.25565,534
124185.123.0.0/16185.123.0.1 to 185.123.255.254185.123.255.25565,534
125185.124.0.0/16185.124.0.1 to 185.124.255.254185.124.255.25565,534
126185.125.0.0/16185.125.0.1 to 185.125.255.254185.125.255.25565,534
127185.126.0.0/16185.126.0.1 to 185.126.255.254185.126.255.25565,534
128185.127.0.0/16185.127.0.1 to 185.127.255.254185.127.255.25565,534
129185.128.0.0/16185.128.0.1 to 185.128.255.254185.128.255.25565,534
130185.129.0.0/16185.129.0.1 to 185.129.255.254185.129.255.25565,534
131185.130.0.0/16185.130.0.1 to 185.130.255.254185.130.255.25565,534
132185.131.0.0/16185.131.0.1 to 185.131.255.254185.131.255.25565,534
133185.132.0.0/16185.132.0.1 to 185.132.255.254185.132.255.25565,534
134185.133.0.0/16185.133.0.1 to 185.133.255.254185.133.255.25565,534
135185.134.0.0/16185.134.0.1 to 185.134.255.254185.134.255.25565,534
136185.135.0.0/16185.135.0.1 to 185.135.255.254185.135.255.25565,534
137185.136.0.0/16185.136.0.1 to 185.136.255.254185.136.255.25565,534
138185.137.0.0/16185.137.0.1 to 185.137.255.254185.137.255.25565,534
139185.138.0.0/16185.138.0.1 to 185.138.255.254185.138.255.25565,534
140185.139.0.0/16185.139.0.1 to 185.139.255.254185.139.255.25565,534
141185.140.0.0/16185.140.0.1 to 185.140.255.254185.140.255.25565,534
142185.141.0.0/16185.141.0.1 to 185.141.255.254185.141.255.25565,534
143185.142.0.0/16185.142.0.1 to 185.142.255.254185.142.255.25565,534
144185.143.0.0/16185.143.0.1 to 185.143.255.254185.143.255.25565,534
145185.144.0.0/16185.144.0.1 to 185.144.255.254185.144.255.25565,534
146185.145.0.0/16185.145.0.1 to 185.145.255.254185.145.255.25565,534
147185.146.0.0/16185.146.0.1 to 185.146.255.254185.146.255.25565,534
148185.147.0.0/16185.147.0.1 to 185.147.255.254185.147.255.25565,534
149185.148.0.0/16185.148.0.1 to 185.148.255.254185.148.255.25565,534
150185.149.0.0/16185.149.0.1 to 185.149.255.254185.149.255.25565,534
151185.150.0.0/16185.150.0.1 to 185.150.255.254185.150.255.25565,534
152185.151.0.0/16185.151.0.1 to 185.151.255.254185.151.255.25565,534
153185.152.0.0/16185.152.0.1 to 185.152.255.254185.152.255.25565,534
154185.153.0.0/16185.153.0.1 to 185.153.255.254185.153.255.25565,534
155185.154.0.0/16185.154.0.1 to 185.154.255.254185.154.255.25565,534
156185.155.0.0/16185.155.0.1 to 185.155.255.254185.155.255.25565,534
157185.156.0.0/16185.156.0.1 to 185.156.255.254185.156.255.25565,534
158185.157.0.0/16185.157.0.1 to 185.157.255.254185.157.255.25565,534
159185.158.0.0/16185.158.0.1 to 185.158.255.254185.158.255.25565,534
160185.159.0.0/16185.159.0.1 to 185.159.255.254185.159.255.25565,534
161185.160.0.0/16185.160.0.1 to 185.160.255.254185.160.255.25565,534
162185.161.0.0/16185.161.0.1 to 185.161.255.254185.161.255.25565,534
163185.162.0.0/16185.162.0.1 to 185.162.255.254185.162.255.25565,534
164185.163.0.0/16185.163.0.1 to 185.163.255.254185.163.255.25565,534
165185.164.0.0/16185.164.0.1 to 185.164.255.254185.164.255.25565,534
166185.165.0.0/16185.165.0.1 to 185.165.255.254185.165.255.25565,534
167185.166.0.0/16185.166.0.1 to 185.166.255.254185.166.255.25565,534
168185.167.0.0/16185.167.0.1 to 185.167.255.254185.167.255.25565,534
169185.168.0.0/16185.168.0.1 to 185.168.255.254185.168.255.25565,534
170185.169.0.0/16185.169.0.1 to 185.169.255.254185.169.255.25565,534
171185.170.0.0/16185.170.0.1 to 185.170.255.254185.170.255.25565,534
172185.171.0.0/16185.171.0.1 to 185.171.255.254185.171.255.25565,534
173185.172.0.0/16185.172.0.1 to 185.172.255.254185.172.255.25565,534
174185.173.0.0/16185.173.0.1 to 185.173.255.254185.173.255.25565,534
175185.174.0.0/16185.174.0.1 to 185.174.255.254185.174.255.25565,534
176185.175.0.0/16185.175.0.1 to 185.175.255.254185.175.255.25565,534
177185.176.0.0/16185.176.0.1 to 185.176.255.254185.176.255.25565,534
178185.177.0.0/16185.177.0.1 to 185.177.255.254185.177.255.25565,534
179185.178.0.0/16185.178.0.1 to 185.178.255.254185.178.255.25565,534
180185.179.0.0/16185.179.0.1 to 185.179.255.254185.179.255.25565,534
181185.180.0.0/16185.180.0.1 to 185.180.255.254185.180.255.25565,534
182185.181.0.0/16185.181.0.1 to 185.181.255.254185.181.255.25565,534
183185.182.0.0/16185.182.0.1 to 185.182.255.254185.182.255.25565,534
184185.183.0.0/16185.183.0.1 to 185.183.255.254185.183.255.25565,534
185185.184.0.0/16185.184.0.1 to 185.184.255.254185.184.255.25565,534
186185.185.0.0/16185.185.0.1 to 185.185.255.254185.185.255.25565,534
187185.186.0.0/16185.186.0.1 to 185.186.255.254185.186.255.25565,534
188185.187.0.0/16185.187.0.1 to 185.187.255.254185.187.255.25565,534
189185.188.0.0/16185.188.0.1 to 185.188.255.254185.188.255.25565,534
190185.189.0.0/16185.189.0.1 to 185.189.255.254185.189.255.25565,534
191185.190.0.0/16185.190.0.1 to 185.190.255.254185.190.255.25565,534
192185.191.0.0/16185.191.0.1 to 185.191.255.254185.191.255.25565,534
193185.192.0.0/16185.192.0.1 to 185.192.255.254185.192.255.25565,534
194185.193.0.0/16185.193.0.1 to 185.193.255.254185.193.255.25565,534
195185.194.0.0/16185.194.0.1 to 185.194.255.254185.194.255.25565,534
196185.195.0.0/16185.195.0.1 to 185.195.255.254185.195.255.25565,534
197185.196.0.0/16185.196.0.1 to 185.196.255.254185.196.255.25565,534
198185.197.0.0/16185.197.0.1 to 185.197.255.254185.197.255.25565,534
199185.198.0.0/16185.198.0.1 to 185.198.255.254185.198.255.25565,534
200185.199.0.0/16185.199.0.1 to 185.199.255.254185.199.255.25565,534
201185.200.0.0/16185.200.0.1 to 185.200.255.254185.200.255.25565,534
202185.201.0.0/16185.201.0.1 to 185.201.255.254185.201.255.25565,534
203185.202.0.0/16185.202.0.1 to 185.202.255.254185.202.255.25565,534
204185.203.0.0/16185.203.0.1 to 185.203.255.254185.203.255.25565,534
205185.204.0.0/16185.204.0.1 to 185.204.255.254185.204.255.25565,534
206185.205.0.0/16185.205.0.1 to 185.205.255.254185.205.255.25565,534
207185.206.0.0/16185.206.0.1 to 185.206.255.254185.206.255.25565,534
208185.207.0.0/16185.207.0.1 to 185.207.255.254185.207.255.25565,534
209185.208.0.0/16185.208.0.1 to 185.208.255.254185.208.255.25565,534
210185.209.0.0/16185.209.0.1 to 185.209.255.254185.209.255.25565,534
211185.210.0.0/16185.210.0.1 to 185.210.255.254185.210.255.25565,534
212185.211.0.0/16185.211.0.1 to 185.211.255.254185.211.255.25565,534
213185.212.0.0/16185.212.0.1 to 185.212.255.254185.212.255.25565,534
214185.213.0.0/16185.213.0.1 to 185.213.255.254185.213.255.25565,534
215185.214.0.0/16185.214.0.1 to 185.214.255.254185.214.255.25565,534
216185.215.0.0/16185.215.0.1 to 185.215.255.254185.215.255.25565,534
217185.216.0.0/16185.216.0.1 to 185.216.255.254185.216.255.25565,534
218185.217.0.0/16185.217.0.1 to 185.217.255.254185.217.255.25565,534
219185.218.0.0/16185.218.0.1 to 185.218.255.254185.218.255.25565,534
220185.219.0.0/16185.219.0.1 to 185.219.255.254185.219.255.25565,534
221185.220.0.0/16185.220.0.1 to 185.220.255.254185.220.255.25565,534
222185.221.0.0/16185.221.0.1 to 185.221.255.254185.221.255.25565,534
223185.222.0.0/16185.222.0.1 to 185.222.255.254185.222.255.25565,534
224185.223.0.0/16185.223.0.1 to 185.223.255.254185.223.255.25565,534
225185.224.0.0/16185.224.0.1 to 185.224.255.254185.224.255.25565,534
226185.225.0.0/16185.225.0.1 to 185.225.255.254185.225.255.25565,534
227185.226.0.0/16185.226.0.1 to 185.226.255.254185.226.255.25565,534
228185.227.0.0/16185.227.0.1 to 185.227.255.254185.227.255.25565,534
229185.228.0.0/16185.228.0.1 to 185.228.255.254185.228.255.25565,534
230185.229.0.0/16185.229.0.1 to 185.229.255.254185.229.255.25565,534
231185.230.0.0/16185.230.0.1 to 185.230.255.254185.230.255.25565,534
232185.231.0.0/16185.231.0.1 to 185.231.255.254185.231.255.25565,534
233185.232.0.0/16185.232.0.1 to 185.232.255.254185.232.255.25565,534
234185.233.0.0/16185.233.0.1 to 185.233.255.254185.233.255.25565,534
235185.234.0.0/16185.234.0.1 to 185.234.255.254185.234.255.25565,534
236185.235.0.0/16185.235.0.1 to 185.235.255.254185.235.255.25565,534
237185.236.0.0/16185.236.0.1 to 185.236.255.254185.236.255.25565,534
238185.237.0.0/16185.237.0.1 to 185.237.255.254185.237.255.25565,534
239185.238.0.0/16185.238.0.1 to 185.238.255.254185.238.255.25565,534
240185.239.0.0/16185.239.0.1 to 185.239.255.254185.239.255.25565,534
241185.240.0.0/16185.240.0.1 to 185.240.255.254185.240.255.25565,534
242185.241.0.0/16185.241.0.1 to 185.241.255.254185.241.255.25565,534
243185.242.0.0/16185.242.0.1 to 185.242.255.254185.242.255.25565,534
244185.243.0.0/16185.243.0.1 to 185.243.255.254185.243.255.25565,534
245185.244.0.0/16185.244.0.1 to 185.244.255.254185.244.255.25565,534
246185.245.0.0/16185.245.0.1 to 185.245.255.254185.245.255.25565,534
247185.246.0.0/16185.246.0.1 to 185.246.255.254185.246.255.25565,534
248185.247.0.0/16185.247.0.1 to 185.247.255.254185.247.255.25565,534
249185.248.0.0/16185.248.0.1 to 185.248.255.254185.248.255.25565,534
250185.249.0.0/16185.249.0.1 to 185.249.255.254185.249.255.25565,534
251185.250.0.0/16185.250.0.1 to 185.250.255.254185.250.255.25565,534
252185.251.0.0/16185.251.0.1 to 185.251.255.254185.251.255.25565,534
253185.252.0.0/16185.252.0.1 to 185.252.255.254185.252.255.25565,534
254185.253.0.0/16185.253.0.1 to 185.253.255.254185.253.255.25565,534
255185.254.0.0/16185.254.0.1 to 185.254.255.254185.254.255.25565,534
256185.255.0.0/16185.255.0.1 to 185.255.255.254185.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses